Subject: bug#11999: 24.1.50; New Info file suffix ".info" breaks `Info-find-node-2'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Jul 2012 19:06:04 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 24 Jul 2012 17:53:06 -0400
> 
> >> I.e. I'm open to suggestions, but I don't think it's worth spending too
> >> much time on it.
> > How about renaming 'user-error' into 'error-no-backtrace'?
> 
> I'd rather have a name that reflects the intention (and also user-error
> is significantly shorter).

There's nothing wrong with user-error, except that it is..., well,
wrong.  It is simply a convenience feature to signal an error that
will not (by default) enter the debugger.  I see nothing there that
would justify the current name.  My suggestion describes what it
really does.